Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.type
Interface SchemaComponent

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  AtomicType, ComplexType, ListType, Particle, SchemaType, SimpleType, UserSchemaComponent

All Known Implementing Classes:
  AbstractParticle, AllCompositor, AnySimpleType, AnyType, AttributeDecl, AttributeGroupDecl, AttributeGroupReference, AttributeUse, BuiltInAtomicType, BuiltInListType, ChoiceCompositor, Compositor, ElementDecl, ElementParticle, ElementWildcard, ExternalObjectType, GroupReference, IdentityConstraint, Key, KeyRef, ModelGroupDefinition, Notation, SchemaTypeImpl, SequenceCompositor, SimpleTypeDefinition, Unique, Untyped, UserAtomicType, UserComplexType, UserListType, UserSimpleType, UserUnionType

    public interface SchemaComponent

extends Serializable

This is a marker interface that represents any "schema component" as defined in the XML Schema specification. This may be a user-defined schema component or a built-in schema component.

Field Summary
`static int` | `FIXED_UP` Validation status: fixed up (all references to other components have been resolved)
`static int` | `INCOMPLETE` Validation status: validation attempted, component contains references to other components that are not (yet) available
`static int` | `INVALID` Validation status: validation attempted and failed with fatal errors
`static int` | `UNVALIDATED` Validation status: not yet validated
`static int` | `VALIDATED` Validation status: successfully validated
`static int` | `VALIDATING` Validation status: currently being validated

Method Summary
`int` | `getValidationStatus()` Get the validation status of this component.

Field Detail

### UNVALIDATED

    static final int UNVALIDATED

  Validation status: not yet validated

  See Also:
    Constant Field Values

### FIXED_UP

    static final int FIXED_UP

  Validation status: fixed up (all references to other components have been resolved)

  See Also:
    Constant Field Values

### VALIDATING

    static final int VALIDATING

  Validation status: currently being validated

  See Also:
    Constant Field Values

### VALIDATED

    static final int VALIDATED

  Validation status: successfully validated

  See Also:
    Constant Field Values

### INVALID

    static final int INVALID

  Validation status: validation attempted and failed with fatal errors

  See Also:
    Constant Field Values

### INCOMPLETE

    static final int INCOMPLETE

  Validation status: validation attempted, component contains references to other components that are not (yet) available

  See Also:
    Constant Field Values

Method Detail

### getValidationStatus

    int getValidationStatus()

  Get the validation status of this component.

  Returns:
    one of the values `UNVALIDATED`, `VALIDATING`, `VALIDATED`, `INVALID`, `INCOMPLETE`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.